System.ServiceModel 4.0.0.0 System.Object System.IDisposable System.Xml.XPath.IXPathNavigable

The body of a instance can only be consumed or written once. If you wish to consume a instance more than once, you should use the class to completely store an entire instance into memory.

A instance is constructed by calling of a instance. A new is then created and returned, which assumes ownership of the and reads the entire content into memory.

In order to retrieve a copy of a from the , you must call the method of the . This returns an identical copy of the original instance you provided.

You can control the maximum size of the buffer by setting to the maximum number of bytes desired. This number does not necessarily cover any transient allocations related to building the buffer, or properties attached to the message.

You should always close a instance by calling when finished working with it. This allows system resources to potentially be freed sooner.

Special note for Managed C++ users deriving from this class:

Put your cleanup code in (On)(Begin)Close (and/or OnAbort), not in a destructor.

Avoid destructors: they cause the compiler to auto-generate

Avoid non-reference members: they can cause the compiler to auto-generate

Avoid finalizers; but if you include one, you should suppress the build warning and call and the finalizer itself from (On)(Begin)Close (and/or OnAbort) in order to emulate what would have been the auto-generated behavior.

Represents a memory buffer that stores an entire message for future consumption.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Int32 To be added.

  You can control the maximum size of the buffer by setting to the maximum number of bytes desired. This number does not necessarily cover any transient allocations related to building the buffer, or properties attached to the message. It is not related to the actual size of the message when serialized.

  Gets the approximate number of bytes consumed by this .

- Method
  4.0.0.0
  System.Void

  You should always close a instance by calling when finished working with it. This allows system resources to potentially be freed sooner.

  If you have called to create a message buffer of a message, and inspected the message using , you will get a when you attempt to close the buffer using this method. To avoid this problem, you need to recreate the message from the buffer before closing. See the code sample in the Example section for a demonstration of the previous scenario and a way to resolve this problem.

  Finishes working with the buffer.

- Method
  4.0.0.0
  System.ServiceModel.Channels.Message

  Calling this method creates an identical copy of the original instance you previously provided to the method of a instance. You can then save the message to a durable storage.

  Returns a copy of the original message.

  An identical copy of the original instance you previously provided to the method of a instance.

- Method
  4.0.0.0
  System.Xml.XPath.XPathNavigator

  Use this method if you want to manipulate just a portion of the message copy.

  Creates a new object for navigating this object. This method cannot be inherited.

  An object for navigating this object.

- Method
  4.0.0.0
  System.Xml.XPath.XPathNavigator `` To be added.

  Use this method if you want to manipulate just a portion of the message copy.

  Creates a new object for navigating this object, with the navigator positioned on the node specified.

  An object for navigating this object.

- Method
  4.0.0.0
  System.Xml.XPath.XPathNavigator ``

  Use this method if you want to manipulate just a portion of the message copy.

  Creates a new object for navigating this object, with the specified xml:space scope.

  An object for navigating this object.

  A valid space.
- Method
  4.0.0.0
  System.Xml.XPath.XPathNavigator `` `` To be added.

  Use this method if you want to manipulate just a portion of the message copy.

  Creates a new object for navigating this object, with the navigator positioned on the specified node and xml:space scope.

  An object for navigating this object.

  A valid space.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the type of message content stored in this buffer.

- Method
  4.0.0.0
  System.Void

  Call this method when you are finished using the . This method leaves the in an unusable state. After calling this method, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  Always call this method before you release your last reference to the . Otherwise, the resources it is using are not freed until the garbage collector calls the object's Finalize method.

  Releases the unmanaged resources used by the and optionally releases the managed resources. This method cannot be inherited.

- Method
  4.0.0.0
  System.Void ``

  This function uses a binary encoder instead of a UTF-8 encoder. Therefore, you cannot directly convert from a to a . The code in the example section shows how to work around this problem.

  Writes the entire content of this buffer to the specified IO stream.

  An IO stream that the entire content of this buffer is written to.